Loading...
Searching...
No Matches
Opm::DiffusionModule< TypeTag, true > Class Template Reference

Provides the auxiliary methods required for consideration of the diffusion equation. More...

`#include <diffusionmodule.hh>`

## Static Public Member Functions

static void | registerParameters ()
| Register all run-time parameters for the diffusion module.
template<class Context>
static void | addDiffusiveFlux (RateVector &flux, const Context &context, unsigned spaceIdx, unsigned timeIdx)
| Adds the mass flux due to molecular diffusion to the flux vector over the flux integration point.

## Detailed Description

template<class TypeTag>
class Opm::DiffusionModule< TypeTag, true >

Provides the auxiliary methods required for consideration of the diffusion equation.

The documentation for this class was generated from the following file:

- opm/models/common/diffusionmodule.hh